VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IDnDBase Interface Reference

Base abstract interface for drag'n drop. More...

Inheritance diagram for IDnDBase:

## Public Member Functions
void | isFormatSupported (in wstring format, [retval] out boolean supported)
| Checks if a specific drag'n drop MIME / Content-type format is supported. More...
void | addFormats (in wstring[] formats)
| Adds MIME / Content-type formats to the supported formats. More...
void | removeFormats (in wstring[] formats)
| Removes MIME / Content-type formats from the supported formats. More...

## Public Attributes
readonly attribute wstring [] | formats
| Returns all supported drag'n drop formats. More...
readonly attribute unsigned long | protocolVersion
| Returns the protocol version which is used to communicate with the guest. More...

## Detailed Description

Base abstract interface for drag'n drop.

Interface ID:
  `{4132147B-42F8-CD96-7570-6A8800E3342C}`

## Member Function Documentation

## ◆ isFormatSupported()

void IDnDBase::isFormatSupported | ( | in wstring | format,
|  | [retval] out boolean | supported
| ) |  |

Checks if a specific drag'n drop MIME / Content-type format is supported.

Parameters

  format | Format to check for.
  supported | Returns `true` if the specified format is supported, `false` if not.

## ◆ addFormats()

void IDnDBase::addFormats | ( | in wstring [] | formats | ) |

Adds MIME / Content-type formats to the supported formats.

Parameters

  formats | Collection of formats to add.

## ◆ removeFormats()

void IDnDBase::removeFormats | ( | in wstring [] | formats | ) |

Removes MIME / Content-type formats from the supported formats.

Parameters

  formats | Collection of formats to remove.

## Member Data Documentation

## ◆ formats

readonly attribute wstring [] IDnDBase::formats

Returns all supported drag'n drop formats.

## ◆ protocolVersion

readonly attribute unsigned long IDnDBase::protocolVersion

Returns the protocol version which is used to communicate with the guest.